<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>My Lists</h1>
        <a href="{% url 'todo_list_create' %}">Create a new list</a>
        <br>
        <br>
        <a href="{% url 'todo_item_create' %}">Create a new item</a>
        <br>
        <br>
        <table>
          <thead>
            <th>Name</th>
            <th>Number of items</th>
          </thead>
          <tbody>
            {% for todo in todos_list.all %}
            <tr>
              <td><a href="{% url 'todo_list_detail' todo.id %}">{{ todo.name }}</td>
                <td>{{ todo.items.all|length }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
